> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/deletesnapshots.md).

# DeleteSnapshots

## 1. API Description

This API (DeleteSnapshots) is used to delete the specified snapshots.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The snapshot must be in the</mark> <mark style="color:blue;">`NORMAL`</mark> <mark style="color:blue;">state. You can use</mark> [<mark style="color:purple;">`DescribeSnapshots`</mark>](/api-reference/compute/zec/disk-snapshot/describesnapshots.md) <mark style="color:blue;">to query the state of the snapshot. See the description of the</mark> <mark style="color:blue;">`SnapshotState`</mark> <mark style="color:blue;">field in the output parameters.</mark>
* <mark style="color:blue;">If some of the snapshots cannot be deleted, the API will return a list of snapshot IDs that failed to be deleted. The rest of the snapshots are executed normally.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of snapshots in each request is 100.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description           |
| -------------- | -------- | --------------- | --------------------- |
| snapshotIds    | Yes      | Array of String | List of snapshot IDs. |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| snapshotIds    | Array of String | The IDs of the snapshots that failed to be deleted.                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete snapshots.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteSnapshots
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "snapshotIds": ["snapshotId1","snapshotId2"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                                |
| ---------------- | ----------------------------------------- | ---------------------------------------------------------- |
| 404              | INVALID\_DISK\_SNAPSHOT\_NOT\_FOUND       | Snapshot does not exist.                                   |
| 400              | OPERATION\_DENIED\_DISK\_SNAPSHOT\_STATUS | The operation is not supported for current snapshot state. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/deletesnapshots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
